{
  "namespace": "laptop",
  "menu@common_dialogs.main_panel_no_buttons": {
    "size": [ 362, 230 ],
    "layer": 2,
    "$custom_background|default": "dialog_background_hollow_4",
    "controls": [
      {
        "common_panel@common.common_panel": { "$dialog_background": "$custom_background" }
      },
      {
        "bg@laptop.laptop_background": {
         "layer": 3,
         "size": ["96%","96%"]
        }
      },
      {
        "panel_indent@laptop.laptop_panel_main": {
          "$padding": [ 43, 43 ],
          "$csize": [ 25, 25 ],
          "$iconsize": [ 25, 25 ]
       }
      }
    ]
  },
  "laptop_background@common.dialog_background_common": {
    "texture": "textures/ui/wallpaper_laptop_drz"
  },
	"laptop_panel_main": {
		"type": "collection_panel",
		"size": ["100%", "100%"],
		"layer": 4,
       "anchor_from": "bottom_middle",
       "anchor_to": "bottom_middle",
       "offset": [0, 196],
		"controls": [
			{
				"laptops@laptop.laptop_panel": {
               "anchor_from": "bottom_middle",
               "anchor_to": "bottom_middle"
				}
			}
		]
	},
	"laptop_panel": {
     "type": "stack_panel",
     "size": ["100%c", "100%c"],
     "orientation": "horizontal",
     "collection_name": "form_buttons",
         "controls": [
          {
  	         "tombol@laptop.custom_button": {
             "collection_index": 0
           }
          },
          {
  	         "tombol_2@laptop.custom_button": {
             "collection_index": 1
           }
          },
          {
  	         "tombol_3@laptop.custom_button": {
             "collection_index": 2
           }
          },
          {
  	         "tombol_4@laptop.custom_button": {
             "collection_index": 3
           }
          },
          {
  	         "tombol_5@laptop.custom_button": {
             "collection_index": 4
           }
          },
          {
  	         "tombol_5@laptop.custom_button": {
             "collection_index": 5
           }
          }
        ]
   },
	"custom_button": {
		"type": "panel",
       "$csize | default": [ 64, 64 ],
       "$iconsize | default": [ 32, 32 ],
       "$padding | default": [ 64, 64 ],
       "$cbutton|default": "textures/ui/button_borderless_light",
	    "size": "$padding",
		"controls": [
			{
				"main_ui": {
					"type": "panel",
					"size": "$csize",
					"controls": [
						{
							"panel_name": {
								"type": "panel",
								"size": "$csize",
								"bindings": [
									{
										"binding_type": "view",
										"source_control_name": "image",
										"resolve_sibling_scope": true,
										"source_property_name": "(not (#texture = ''))",
										"target_property_name": "#visible"
									}
								],
								"controls": [
									{
										"image": {
											"type": "image",
											"layer": 20,
											"size": "$iconsize",
											"offset": [0, 0],
											"bindings": [
												{
													"binding_name": "#form_button_texture",
													"binding_name_override": "#texture",
													"binding_type": "collection",
													"binding_collection_name": "form_buttons"
												},
												{
													"binding_name": "#form_button_texture_file_system",
													"binding_name_override": "#texture_file_system",
													"binding_type": "collection",
													"binding_collection_name": "form_buttons"
												},
												{
													"binding_type": "view",
													"source_property_name": "(not ((#texture = '') or (#texture = 'loading')))",
													"target_property_name": "#visible"
												}
											]
										}
									},
									{
										"text": {
											"type": "label",
											"text": "#form_button_text",
                                     "font_size": "small",
		                              "font_type": "MinecraftTen",
									       "layer": 16,
											"color": [1, 1, 1],
											"offset": [0, 2],
											"anchor_from": "bottom_middle",
											"bindings": [
												{
													"binding_name": "#form_button_text",
													"binding_type": "collection",
													"binding_collection_name": "form_buttons"
												}
											]
										}
									}
								]
							}
						},
						{
							"form_button@common_buttons.light_text_button": {
								"$pressed_button_name": "button.form_button_click",
								"anchor_from": "top_left",
								"anchor_to": "top_left",
								"size": "$csize",
								"$button_text": "#null",
								"$button_text_binding_type": "collection",
								"$button_text_grid_collection_name": "form_buttons",
								"$button_text_max_size": ["100%", 20 ],
                           "$default_button_texture": "$cbutton",
                           "$border_visible": false,
								"bindings": [
									{
										"binding_type": "collection_details",
										"binding_collection_name": "form_buttons"
									}
								]
							}
						}
					]
				}
			}
		],
          "bindings": [
	        {
		      "binding_name": "#form_button_text",
				"binding_type": "collection",
				"binding_collection_name": "form_buttons"
			  },
            {
              "binding_type": "view",
              "source_property_name": "(not (#form_button_text = ''))",
              "target_property_name": "#visible"
            }
          ]
	}
}